Skip to main content
GET
/
v2
/
parse
/
jobs
cURL
curl 'https://api.ade.landing.ai/v2/parse/jobs' \
  -H 'Authorization: Bearer YOUR_API_KEY'
import requests

url = 'https://api.ade.landing.ai/v2/parse/jobs'
headers = {'Authorization': 'Bearer YOUR_API_KEY'}

response = requests.get(url, headers=headers)
print(response.json())
const axios = require('axios');

axios.get('https://api.ade.landing.ai/v2/parse/jobs', {
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
})
.then(response => console.log(response.data))
.catch(error => console.error(error));
{
  "jobs": [
    {
      "job_id": "<string>",
      "received_at": 123,
      "created_at": 123,
      "progress": 123,
      "failure_reason": "<string>"
    }
  ],
  "org_id": "<string>",
  "has_more": true
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Query Parameters

page
integer
default:0

Page number (0-indexed).

Required range: x >= 0
page_size
integer
default:10

Number of items per page.

Required range: 1 <= x <= 100
status
string | null

Filter by job status.

Response

The caller's jobs, newest first

jobs
object[]

The caller's parse jobs for this page, newest first.

org_id
string | null

The organization that owns these jobs.

has_more
boolean

Whether more jobs exist beyond this page; request the next page to fetch them.